## ros-noetic-pilz-robot-programming 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pilz_robot_programming)

find_package(catkin REQUIRED COMPONENTS roslint rospy)

if(CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
  find_package(code_coverage REQUIRED)
  APPEND_COVERAGE_COMPILER_FLAGS()
endif()

catkin_package()

#############
## Install ##
#############

catkin_python_setup()

catkin_install_python(PROGRAMS
   examples/demo_program.py
   examples/demo_gripper_program.py
   examples/demo_brake_test_program.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)

  include_directories(
    ${catkin_INCLUDE_DIRS}
  )

  # integration test files
  file(GLOB integrationtest_files "test/integrationtests/*.test")
  file(GLOB integrationtest_scripts "test/integrationtests/*.py")

  if(ENABLE_COVERAGE_TESTING)
    foreach(file ${integrationtest_files})
      add_rostest(${file} ARGS coverage:=True)
    endforeach()
  else()
    foreach(file ${integrationtest_files})
      add_rostest(${file})
    endforeach()
  endif()

  roslint_python(
    src/${PROJECT_NAME}/__init__.py
    src/${PROJECT_NAME}/robot.py
    src/${PROJECT_NAME}/commands.py
    src/${PROJECT_NAME}/exceptions.py
    src/${PROJECT_NAME}/move_control_request.py
    ${integrationtest_scripts}
  )
  roslint_add_test()

  # to run: catkin_make -DENABLE_COVERAGE_TESTING=ON package_name_coverage
  # Import errors may arise when packages are installed in the non-standard path /usr/lib/python2.7/dist-packages
  # This problem can be avoided by including the path in the PYTHONPATH environment variable
  if(ENABLE_COVERAGE_TESTING)
      set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test/*") #comma-sparated list of ignored patterns
      add_code_coverage(
          NAME ${PROJECT_NAME}_coverage
          )
  endif(ENABLE_COVERAGE_TESTING)

  catkin_install_python(PROGRAMS
    test/acceptance_tests/acceptance_test_api_cmd.py
    test/acceptance_tests/acceptance_test_blending.py
    test/acceptance_tests/acceptance_test_brake_test.py
    test/acceptance_tests/acceptance_test_circ.py
    test/acceptance_tests/acceptance_test_goal_already_reached.py
    test/acceptance_tests/acceptance_test_gripper_cmd.py
    test/acceptance_tests/acceptance_test_move_ctrl.py
    test/acceptance_tests/acceptance_test_manual_move_ctrl.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

endif()

=== debian/changelog ===
ros-noetic-pilz-robot-programming (0.5.0-4buster) buster; urgency=high

  * Adapt to changes in MoveThread api
  * Port to ROS Noetic (ubuntu 20.04, python3)
    * Remove pilz_store_positions package
    * Update branching model in README.md
    * Use relative paths for test-data/movecmd.py (colcon support)
    * Misc minor refactorings
  * Fix KeyError on calling release twice
  * Fix blend-radius and misunderstandings in Tests (#341, #330)
  * Fix architecture documentation
  * Use public acceptance-test utility methods
  * Move pilz command planner to moveit
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 02 May 2021 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.12-4buster) buster; urgency=high

  * Adapt to generalized test-utils
  * Add missing test-depend on prbt_hardware_support
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.11-4buster) buster; urgency=high

  * Add Attribute based equivalence for commands.
  * Add feature to store points.
  * Add PoseStamped and tuple goals.
  * Add get_current_pose_stamped to robot api
  * Replace tf by tf2 in pilz_robot_programming.
  * Rename _BaseCmd -> BaseCmd.
  * Remove outdated add_python_coverage() function.
  * Remove outdated/superfluous documents.
  * Remove static version from doc.
  * Remove unused import of prbt_hardware_support.
  * Fix acceptance tests.
  * Fix segfault on shutdown.
  * Fix python 3 compatibility issues.
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.10-4buster) buster; urgency=high

  * Adapt to new brake test srv definitions in pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.9-4buster) buster; urgency=high

  * Import speed override srv from pilz_msgs
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.8-4buster) buster; urgency=high

  * Drop unused variables in python api (#162)
  * Override speed of motions
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.7-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.6-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.5-4buster) buster; urgency=high

  * fix PEP issues
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.4-4buster) buster; urgency=high

  * Add python api methods for brake tests

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.3-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.2-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.1-4buster) buster; urgency=high

  * Minor fixes
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.4.0-4buster) buster; urgency=high

  * Release Python-API from kinetic version 0.3.1

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.5-4buster) buster; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.4-4buster) buster; urgency=high

  * enable Robot instantiation after a program got killed; add corresponding test
  * apply renaming command_planner -> pilz_command_planner
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.1-4buster) buster; urgency=high

  * Add RobotMotionObserver in testutils
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-noetic-pilz-robot-programming (0.3.0-4buster) buster; urgency=high

  * Release Python-API
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-pilz-robot-programming
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), python3-coverage, python3-docopt, python3-mock, ros-noetic-catkin, ros-noetic-code-coverage, ros-noetic-pilz-industrial-motion-testutils, ros-noetic-prbt-hardware-support, ros-noetic-prbt-moveit-config, ros-noetic-prbt-pg70-support, ros-noetic-roslint, ros-noetic-rospy, ros-noetic-rostest, ros-noetic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-pilz-robot-programming
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-psutil, ros-noetic-moveit-commander, ros-noetic-pilz-industrial-motion-planner, ros-noetic-pilz-msgs, ros-noetic-rospy, ros-noetic-tf-conversions, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Description: An Easy to use API to execute standard industrial robot commands like Ptp, Lin, Circ and Sequence using Moveit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pilz-robot-programming//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
